package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.ProductLevelDTO;
import com.cnbm.generator.code.mapper.ProductLevelMapper;
import com.cnbm.generator.code.entity.ProductLevel;
import com.cnbm.generator.code.service.ProductLevelServiceBiz;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 产品等级 表
 *
 * @author codeGenerator
 * @since 2023-12-21
 */
@Service
public class ProductLevelServiceBizImpl extends CrudServiceImpl<ProductLevelMapper, ProductLevel, ProductLevelDTO> implements ProductLevelServiceBiz {

    @Override
    public QueryWrapper<ProductLevel> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<ProductLevel> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}